import 'package:fast_immutable_collections/fast_immutable_collections.dart';

class ListUtil<T> {
  late IList<T> items;
  ListUtil() {
    items = IList<T>();
  }
  IList<T> addOrReplaceItem(T item, {bool isReplace = false}) {
    IList<T> addNewItems = items;
    if (items.isEmpty) {
      addNewItems = addNewItems.add(item);
    } else {
      if (isReplace && items.length > 1) {
        addNewItems = addNewItems.removeLast();
      }
      addNewItems = addNewItems.add(item);
    }
    return addNewItems;
  }

  IList<T> addOrRenewList(IList<T> datas, {int currentPage = 1}) {
    IList<T> addNewItems = items;
    if (currentPage == 1) {
      addNewItems = addNewItems.clear();
    }
    // addNewItems = addNewItems.addAll(datas);
    return addNewItems.addAll(datas);
  }
}
